function setTitle(s){
    if(hasInterface()) {
        //SijiuJSInterface.setTitle(s);
    }else{
        console.log("setTitle>"+s)
    }
}

function hasInterface() {
    if (typeof SijiuJSInterface == "undefined") {
        return false;
    }else{
        return true;
    }
}


function switchAccount(){
    callPVStatistics('click_bottom_switch');
    SijiuJSInterface.switchLogin();
}

function openBox(){
    //callPVStatistics_old('h5_kefu_game_box');
    SijiuJSInterface.startApp('com.sijiu.gamebox', 'http://down.49app.com/down/heziyy/android/0.0/49you_b_appbox_sqlbhz.apk');
}



/**
 * 获取url参数
 */
function getUrlParam(name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
    var r = window.location.search.substr(1).match(reg);
    if (r != null) return unescape(r[2]); return null;
}

function callPVStatistics(eventId, sType, statisObj) {
    if (typeof PVStatistics == "undefined") {
        console.log(eventId);
    } else {
        if(sType == 'slide') {
            PVStatistics.pushWithUrl(eventId, statisObj);
        } else if(sType == 'article') {
            PVStatistics.pushWithArticleId(eventId, statisObj);
        } else {
            PVStatistics.push(eventId);
        }
    }
}

function showMsg(str){

    if(hasInterface()){
        SijiuJSInterface.toast(str);
    }else{
        //console.log('toast>'+str);
        alert(str);
    }
}

//加载消息公告和账户安全提醒
function getGameNoticeMsg()
{

    $.ajax({
        type: "POST",
        url: address+"V9/Sdk/getGameNoticeMsg",
        data: "token="+token+"&ver="+game_ver+"&platform="+platform+"&appid="+appid,
        //async: false,
        dataType: "json",
        success: function(data){

            if (true == data.Result)
            {
                //公告
                var notice = data.Data.notice;
                $('.messagehead02').html(notice.title ? notice.title : '新闻公告');
                $('.messagecondiv').html(notice.content ? notice.content : '<font color="#666">暂无公告</font>');
                //账户安全提醒
                var account_safe = data.Data.account_safe;
                if (account_safe.is_safe) {
                    $('.messagehead_safe').show();
                    $('.messagehead_unsafe').hide();
                } else {
                    $('.messagehead_safe').hide();
                    $('.messagehead_unsafe').show();
                    $('.messagehead_unsafe').html(account_safe.msg);
                }

                // if (notice_delete) {
                //     notice_delete = false;
                //     var notice_param = {"noticeReadTime":Date.parse(new Date())/1000};
                //     SijiuJSInterface.updateFloatPoint(JSON.stringify(notice_param));
                // }

            }
            else
            {
                showMsg(data.Msg);
            }
        },
        error: function(){
            showMsg('网络错误，请重试');
        }
    });
}

//获取账户安全首页
function getBindingInfo(position)
{
    //
    // if ('left_menu' == position)//空白时默认显示实名认证tab
    // {
    //     $('.submenu_div > .smrz_tab').addClass("curmenu").siblings().removeClass("curmenu")
    //     $("#tab-content >div").hide();
    //     $("#tab-content >.smrz_tab_div").show();
    // }

    var return_data = '';
    $.ajax({
        type: "POST",
        url: address+"V9/Sdk/BindingInfo",
        data: "token="+token,
        async: false,
        dataType: "json",
        success: function(data){
            if(data.Result == true){
                var data = data.Data;
                $('#ptzh02 #username_span').html(data.username);//其他地方用
                global_username = data.username;
                // if ((isSijiu && 1 == data.new_user) && 'N' == data.Ask && 'N' == data.Phone) {
                //     $('.mmxg_tab_div .mmxg01').hide();
                //     $('.mmxg_tab_div .mmxg02').show();
                //     $('.mmxg_tab_div .mmxg02 .mmxg_account_name').html(data.username);
                // }

                //if ('gs' != platform)
                //{
                    //平台账户
                    if (1 != data.new_user) {
                        $('#ptzh01').hide();
                        $('#ptzh02').show();
                        $('#ptzh02 .change_pwd').css({'background-color':defaultBackgroundColor,'color':'#fff'});
                        $('#ptzh02 .change_pwd').show();
                        $('.mimagaimi .mbbd_p').hide();
                        $('.mimagaimi .input_box').show();
                    } else {
                        $('#ptzh01').show();
                        $('#ptzh02').hide();
                        $('.mimagaimi .mbbd_p').show();
                        $('.mimagaimi .input_box').hide();

                    }
                //}
                // else {//空白时默认显示实名认证tab
                //     $('.submenu_div > .smrz_tab').addClass("curmenu").siblings().removeClass("curmenu")
                //     $("#tab-content >div").hide();
                //     $("#tab-content >.smrz_tab_div").show();
                // }


                //实名认证
                if('Y' == data.IDCard) {
                    $('#smrz01').hide();
                    $('#smrz02').show();
                    $('#smrz02 #truename_span').html(data.truename);
                    $('#smrz02 #idcard_span').html(data.idcard);
                    $('#smrz02 .change_pwd').css({'background-color':defaultBackgroundColor,'color':'#fff'});
                    $('#smrz02 .change_pwd').show();
                } else {
                    $('#smrz01').show();
                    $('#smrz02').hide();
                }


                //手机绑定
                if(data.Phone == 'Y'){
                    $('#sjbd01').hide();
                    $('#sjbd02').show();
                    $('#sjbd02 .old_input_mobile').val('')
                    $('#sjbd02 .old_input_mobile').attr('placeholder', '原绑定手机号' + data.mobile)
                    $('.shoujigaimi .mbbd_p').hide();
                    $('.shoujigaimi .input_box').show();
                    $('.shoujigaimi .input_box .sjgm_input_mobile').attr('placeholder', '原绑定手机号' + data.mobile)

                } else {
                    $('#sjbd01').show();
                    $('#sjbd02').hide();
                    $('.shoujigaimi .mbbd_p').show();
                    $('.shoujigaimi .input_box').hide();
                }

                //密保绑定
                if(data.Ask == 'Y'){
                    $('#mbbd01').hide();
                    $('#mbbd02').show();
                    $('#mbbd02 .account_name').html(data.username);
                    $('#mbbd02 .account_ask').html(data.question);
                    $('#mbbd02 .change_pwd').css({'background-color':defaultBackgroundColor,'color':'#fff'});
                    $('#mbbd02 .change_pwd').show();
                    $('.mibaogaimi >.mbbd_p').hide();
                    $('.mibaogaimi .input_box').show();
                    $('.mibaogaimi .input_box .safe_ask').html(data.question);
                } else {
                    $('#mbbd01').show();
                    $('#mbbd02').hide();
                    $('.mibaogaimi .mbbd_p').show();
                    $('.mibaogaimi .input_box').hide();
                }

                var accountParam = SijiuJSInterface.getAccountParam();
                accountParam = JSON.parse(accountParam);
                platform = accountParam.platform;
                isSijiu = ('sj' == platform || 'sijiu' == platform) ? true : false;

                if (data.logoutAccount == 'Y' && isSijiu == true){
                    $('#logoutaccount').show();
                }else{
                    $('#logoutaccount').hide();
                }


                return_data = data;

            }else{
                showMsg(data.Msg);
            }
        },
        error: function(){
            showMsg('网络错误，请重试');
        }
    });
    return return_data;
}

//判断输入框事件
function bindInputEvent(input_selector,tip_selector,confirm_selector)
{
    var input_selector_count = input_selector.length;
    for (var i =0 ; i < input_selector_count; i++) {
        $(input_selector[i]).bind('input porpertychange',function(){

            var this_class =  $(this).attr('class');
            var this_id    =  $(this).attr('id');
            if ((this_class && this_class.indexOf('pwd') >= 0) || this_id == 'account_pass' || this_id == 'account_name') {
                //防止输入特殊字符
                var curStr = $(this).val();
                $(this).val(curStr.replace(/[^A-Za-z0-9_]+/ig, ''))
            }

            $(tip_selector).hide();
            var flag = true;
            for (var j =0 ; j < input_selector_count; j++) {
                if ($.trim($(input_selector[j]).val()).length <= 0) {
                    flag = false;
                }
            }
            if (flag) {
                $(confirm_selector).css({'background-color': defaultBackgroundColor,'color':'#fff'});
            } else {
                $(confirm_selector).css({'background-color': '#DCDFE1', 'color':'#666'});
            }

        });
    }
}

function formatUnixtimestamp (unixtimestamp, format){
    format = format ? format : 'ymdhis';
    var unixtimestamp = new Date(unixtimestamp*1000);
    var year = 1900 + unixtimestamp.getYear();
    var month = "0" + (unixtimestamp.getMonth() + 1);
    var date = "0" + unixtimestamp.getDate();
    var hour = "0" + unixtimestamp.getHours();
    var minute = "0" + unixtimestamp.getMinutes();
    var second = "0" + unixtimestamp.getSeconds();
    var time_str =  (format.indexOf('y') >= 0 ? year + "." : '')
         +  (format.indexOf('m') >= 0 ? month.substring(month.length-2, month.length)  + "." : '')
         +  (format.indexOf('d') >= 0 ? date.substring(date.length-2, date.length) + " "  : '')
         +  (format.indexOf('h') >= 0 ? hour.substring(hour.length-2, hour.length) + ":"  : '')
         +  (format.indexOf('i') >= 0 ? minute.substring(minute.length-2, minute.length) + ":" : '')
         +  (format.indexOf('s') >= 0 ? second.substring(second.length-2, second.length) : '');
    return time_str.replace(/(^[:\s-.]*)|([:\s-.]*$)/g, "");
}

function showPay(id){
    $.ajax({
        type: "POST",
        url: address+"V9/Sdk/OrderInfo",
        data: "token="+token+"&order="+id+"&newSdk=1&device="+appdevice,
        async: false,
        dataType: "json",
        success: function(data){
            if(data.Result == true){

                $("#maskdiv01 #game_name").text(data.Data.name);
                $("#maskdiv01 #order_id").text(data.Data.order);
                $("#maskdiv01 #pay_date").text(data.Data.time);
                $("#maskdiv01 #pay_type").text(data.Data.type);
                $("#maskdiv01 #amount").text(data.Data.amount);
                $("#maskdiv01 #pay_status").text(data.Data.status);

                $('#maskdiv01').show();
                if (1 == data.Data.show_btn) {
                    $('.ddxx_btn .recharge').show();
                    //$('#ctm_service').hide();
                } else {
                    //$('#ctm_service').show();
                    $('.ddxx_btn .recharge').hide();
                }
                $('.ddxx_btn .db').css({"background-color":defaultBackgroundColor})
            }else{
                showMsg(data.Msg);
            }
        },
        error: function(){
            showMsg('网络错误，请重试');
        }
    });
}

function rePay(){
    if(hasInterface()) {
        callPVStatistics('get_order_recharge');
        SijiuJSInterface.reCharge($("#maskdiv01 #order_id").html());
    } else {
        showMsg("该功能暂未开放!");
    }
}

function copyOrder(){
    SijiuJSInterface.copyOrder($("#maskdiv01 #order_id").html());
    showMsg("复制成功!");
}

function showVoucher(voucher_id)
{
    $('#maskdiv02 .syyx_ul').html('')

    $('#maskdiv02').show();


    $.ajax({
        type: "POST",
        url: address + "V9/Sdk/voucherInfo",
        data: "token=" + token + "&voucher_id=" + voucher_id,
        async: false,
        dataType: "json",
        success: function (data) {
            if (data.Result == true) {
                $('#maskdiv02 .gift_name').html(data.Data.gift_name);
                $('#maskdiv02 .use_date').html('使用限期：' + formatUnixtimestamp(data.Data.use_start_time,'ymd') + '-' + formatUnixtimestamp(data.Data.use_end_time,'md'));
                $('#maskdiv02 .limit_money').html('使用要求：需充值' + data.Data.limit_money + '元以上');
                if (data.Data.game_info.length) {
                    $.each(data.Data.game_info, function(i,val){
                        var str = '<li style="display:inline-block;width:18%;height:18%;"><div class="syyx_div"><img src="'+val.game_icon+'"></div><p class="syyx_p">'+val.game_name+'</p></li>';
                        $('#maskdiv02 .syyx_ul').append(str);
                    });

                } else {
                    $('#maskdiv02 .syyx_ul').append('<li class="box_flex01">无</li>');
                }

            } else {
                showMsg(data.Msg);
            }
        },
        error: function () {
            showMsg('网络错误，请重试');
        }
    })

}

//给APP调用,app加载完才会调这个方法,才能调SijiuJSInterface
function appJumpToTab(tab)
{
    //调app方法
    var accountParam = SijiuJSInterface.getAccountParam();
    accountParam = JSON.parse(accountParam);
    appid = accountParam.appid;
    uid = accountParam.uid;
    token = accountParam.token + '#' + uid + '#' + appid + '#test123';
    game_ver = accountParam.ver;
    platform = accountParam.platform;
    appdevice = accountParam.device;

    isSijiu = ('sj' == platform || 'sijiu' == platform) ? true : false;

    //安卓非空白
    if (2 == appdevice && isSijiu) {
        $('.appbox').show();//盒子
        $('.zuixinyouhui_tab').show();//最新优惠
        //左边栏目显示盒子后样式需要做调整
        $('.xxggbtn_a').css({'height':'0.39rem','line-height':'0.39rem','font-size':'0.18rem'});//调整左边栏目高度
        $('.change_pwd').css({'height':'0.39rem','line-height':'0.39rem','margin-bottom':'0.1rem','margin-top':'1rem'});//密码修改框
        $('.lxkfbtn_div img').css({'width':'90%'});//联系客服图片
        $('.messagecondiv').css({'height':'2rem'});//公告框
    }
    var top_img = '';
    //四九才显示
    if (isSijiu) {
        $('.lianxikefu_tab').show();//联系客服
        top_img = './images/201806/topbg.png';
        head_img = './images/201806/head01.jpg';//头像
    } else {
        top_img = './images/201806/topbg02.png';
        head_img = './images/201806/head02.jpg';//头像
    }

    $('#top_img').attr('src', top_img);
    $('#head_img').attr('src', head_img);

    //tab = account账户安全，notice消息公告，
    var bindinginfo = getBindingInfo();
    if (!tab) {
        tab = 'notice';//默认跳消息公告
    }
    if ('account' == tab) {
        $('.account').addClass("curbtn").css({'background-color':leftBtnHighLightBackgroundColor}).siblings('.xxggbtn_a').removeClass("curbtn").css({'background-color':defaultBackgroundColor});;
        $(".con_right > .account_div").show().siblings().hide();

        //判断要优先调到哪个绑定栏,手机>实名>密保>平台账户
        if (bindinginfo) {
            if ('N' == bindinginfo.Phone) {
                $('.submenu_div > .sjbd_tab').addClass("curmenu").css({"color":accountTabHightLightColor}).siblings().removeClass("curmenu").css({"color":"#666666"});
                $("#tab-content >div").hide();
                $("#tab-content >.sjbd_tab_div").show();
            } else if ('N' == bindinginfo.IDCard) {
                $('.submenu_div > .smrz_tab').addClass("curmenu").css({"color":accountTabHightLightColor}).siblings().removeClass("curmenu").css({"color":"#666666"});
                $("#tab-content >div").hide();
                $("#tab-content >.smrz_tab_div").show();
            } else if ('N' == bindinginfo.Ask) {
                $('.submenu_div > .mbbd_tab').addClass("curmenu").css({"color":accountTabHightLightColor}).siblings().removeClass("curmenu").css({"color":"#666666"});
                $("#tab-content >div").hide();
                $("#tab-content >.mbbd_tab_div").show();
            }
            // else if (isSijiu) {//四九才显示四九绑定
            //     $('.submenu_div > .ptzh_tab').addClass("curmenu").siblings().removeClass("curmenu")
            //     $("#tab-content >div").hide();
            //     $(".ptzh_tab").show();
            //     $("#tab-content >.ptzh_tab_div").show();
            // }
            else { //其他平台也有账户绑定，如gs
                $('.submenu_div > .ptzh_tab').addClass("curmenu").css({"color":accountTabHightLightColor}).siblings().removeClass("curmenu").css({"color":"#666666"});
                $("#tab-content >div").hide();
                $(".ptzh_tab").show();
                $("#tab-content >.ptzh_tab_div").show();
            }
        }
    }else {
        $('.notice').addClass("curbtn").css({'background-color':leftBtnHighLightBackgroundColor}).siblings('.xxggbtn_a').removeClass("curbtn").css({'background-color':defaultBackgroundColor});
        $(".con_right > .notice_div").show().siblings().hide();
        getGameNoticeMsg();
    }
}

function payLoad(){  //充值记录下拉要加载的代码
    var id          = 0;
    var news_id     = $("#chongzhiye li").last().attr('sid');
    var news_arr    = news_id.split('_');
    if(news_arr[1] > 0){
        id = Number(news_arr[1]) + 1;
    } else {
        return;
    }
    showMsg('加载中...');
    var chongzhiye = $("#chongzhiye");
    $.ajax({
        type: "POST",
        url: address+"V9/Sdk/GetOrder",
        data: "token="+token+"&index="+id+"&size=5",
        async: false,
        dataType: "json",
        success: function(data){
            if(data.Result == true){
                $.each(data.Data, function(i,val){
                    var str = '<li sid="pay_'+ val.Sid+'" class="czjllist_li box_orient"><span class="czjllist_span czjl_date01 db">' + val.create + '</span><span class="czjllist_span db box_flex01">' + val.name + '</span><span class="czjllist_span czjl_method01 db">'+ val.type + '</span><span class="czjllist_span db box_flex01">'+ val.amount + '</span><span class="czjllist_span czjl_status01 db">'+ val.status + '</span><span class="czjllist_span czjl_xq01 xq db" style="background-color: '+defaultBackgroundColor+'" onclick="showPay(\''+val.order_id+'\')">详情</span></li>';
                    chongzhiye.append(str);
                });
                if (data.Data.length <  5) {
                    var str = '<li sid="pay_0" class="" style="text-align: center;">已全部加载完成</li>';
                    chongzhiye.append(str);
                }
            }else{
                showMsg(data.Msg);
            }
        },
        error: function(){
            showMsg('网络错误，请重试');
        }
    });
}

function openAppUrl(appUrl)
{
    if (umentKey) {
        callPVStatistics(umentKey);
    }
    SijiuJSInterface.openAppUrl(appUrl);
}

function setCache(key, value)
{
    if (!value) {
        value = String(Date.parse(new Date()));
    }
    var param = {};
    param[key] = value;

    SijiuJSInterface.setAppCache(JSON.stringify(param));
}

function getCache(key)
{
    return SijiuJSInterface.getAppCache(key);
}

$(function(){
    /*document.documentElement.style.fontSize = innerWidth/6.4 +"px";
    window.addEventListener("resize",function(){
        document.documentElement.style.fontSize = innerWidth/6.4  + "px";
    },false);*/
    FastClick.attach(document.body);

    //根据配置文件初始化元素颜色
    initElementColor();
    address="https://api.sdk.49app.com/";
    global_username = '';
    //加载消息公告和账户安全提醒（由app调用）
    //getGameNoticeMsg();
    yz01_timer = yz02_timer = yz03_timer = yz04_timer = '';
    voucher_delete = true;

    $(".czjllist_ul").unbind("scroll").bind("scroll", function (e) {
        if (this.scrollHeight <= $(this).scrollTop() + $(this).height() + 2) {
            payLoad();
        }


    });

    $('.nav_span').click(function(){
        $(this).addClass("cura").css({"background-color":topBtnHighLightBackgroundColor,color:topBtnHighLightTextColor}).siblings().removeClass("cura").css({"background-color":'',"color":"#fff"});
        $(".con_wrap > div").hide().eq($('.nav_span').index(this)).show();
        var show_id = $(this).attr('showid');
        var oldCssHref = $('#cssid').attr('href').split('?')[0];
        $('#cssid').attr('href', oldCssHref + '?' + Date.parse(new Date()));
        switch (show_id){
            case '1':
                callPVStatistics('click_bottom_user');
                setTitle('用户中心');
                //加载消息公告和账户安全提醒
                getGameNoticeMsg();
                break;
            case '2':
                callPVStatistics('click_bottom_recharge');
                setTitle('充值记录');
                var chongzhiye = $("#chongzhiye");
                chongzhiye.html("");
                $('.czjlhead').hide();
                $.ajax({
                    type: "POST",
                    url: address+"V9/Sdk/GetOrder",
                    data: "token="+token+"&index=0&size=10",
                    //async: false,
                    dataType: "json",
                    success: function(data){
                        if(data.Result == true){
                            if (data.Data.length > 0) {
                                $('.czjlhead').show();
                            } else {
                                chongzhiye.append('暂无充值记录');
                            }
                            $.each(data.Data, function(i,val){
                                var str = '<li class="czjllist_li box_orient" sid="pay_'+val.Sid+'"><span class="czjllist_span czjl_date01 db">' + val.create + '</span><span class="czjllist_span db box_flex01">' + val.name + '</span><span class="czjllist_span czjl_method01 db">'+ val.type + '</span><span class="czjllist_span db box_flex01">'+ val.amount + '</span><span class="czjllist_span czjl_status01 db">'+ val.status + '</span><span class="czjllist_span czjl_xq01 xq db" style="background-color: '+defaultBackgroundColor+'" onclick="showPay(\''+val.order_id+'\')">详情</span></li>';
                                chongzhiye.append(str);
                            });
                            if (data.Data.length <  10) {
                                var str = '<li sid="pay_0" class="" style="text-align: center;">已全部加载完成</li>';
                                chongzhiye.append(str);
                            }

                        }else{
                            chongzhiye.append('暂无充值记录');
                            //showMsg(data.Msg);
                        }
                    },
                    error: function(){
                        chongzhiye.append('暂无充值记录');
                        showMsg('网络错误，请重试');
                    }
                });

                break;
            case '3':
                callPVStatistics('click_bottom_contact');
                setTitle('联系客服');
                break;
            case '4':
                callPVStatistics('click_bottom_preferential');
                setTitle('最新优惠');
                var daijinquan = $("#daijinquan");
                daijinquan.html("");
                $.ajax({
                    type: "POST",
                    url: address+"V9/Sdk/voucherList",
                    data: "token="+token,
                    //async: false,
                    dataType: "json",
                    success: function(data){
                        if(data.Result == true){
                            var voucher = data.Data;
                            var length = voucher.length;
                            for (var i = 0; i < length; i++)
                            {
                                var apply_str = '本游戏不适用';
                                var game_arr = voucher[i]['game_id'].split(',');
                                var status = '可使用';
                                for(j in game_arr){
                                    if(appid == game_arr[j]){
                                        apply_str = '适用本游戏';
                                    }
                                }
                                switch (voucher[i]['status']){
                                    case '2':
                                        status = '已使用';
                                        break;
                                    case '3':
                                        status = '使用中';
                                        break;
                                    case '4':
                                        status = '已失效';
                                        break;
                                    default:
                                }

                                var voucher_id = voucher[i]['id'];
                                var str;
                                if (voucher[i]['status'] == 1) {
                                    str = '<li class="zxyh_li box_orient"><div class="zxyhdiv_l box_flex01 box_orient"><div class="zxyhleftdiv_l box_flex01" style="border-color: '+defaultBorderColor+'"><div class="djq_div01 pr" style="color:'+defaultTextColor+'">' +
                                        voucher[i]['gift_name'] + '<div class="djqtips01 pa" style="color:'+defaultTextColor+'">' + apply_str +
                                        '</div></div><div class="djq_div02 pr" style="color:'+defaultTextColor+'">使用限期' + formatUnixtimestamp(voucher[i]['use_start_time'],'ymd') + '-' + formatUnixtimestamp(voucher[i]['use_end_time'],'md') + ' <div class="djqtips02 pa">需充值' + voucher[i]['smoney'] + '元以上</div></div></div><div class="zxyhleftdiv_r pr" style="background-color:'+defaultBackgroundColor+'"><p class="ksy_p pa">' + status +'</p><div class="roundtop pa" style="border-color: '+defaultBorderColor+'"></div><div class="roundbt pa" style="border-color:'+defaultBorderColor+'"></div></div></div><a class="xqbtn_a db" href="javascript:;" onclick="showVoucher('+voucher_id+')">详情</a></li>';
                                } else {
                                    str = '<li class="zxyh_li box_orient"><div class="zxyhdiv_l box_flex01 box_orient"><div class="zxyhleftdiv_l box_flex01" style="border-color:#A6A6A6;"><div class="djq_div01 pr" style="color:#A6A6A6;">' +
                                        voucher[i]['gift_name'] + '<div class="djqtips01 pa" style="color:#A6A6A6;">' + apply_str +
                                        '</div></div><div class="djq_div02 pr" style="color:#A6A6A6;">使用限期' + formatUnixtimestamp(voucher[i]['use_start_time'],'ymd') + '-' + formatUnixtimestamp(voucher[i]['use_end_time'],'md') + ' <div class="djqtips02 pa">需充值' + voucher[i]['smoney'] + '元以上</div></div></div><div class="zxyhleftdiv_r pr"  style="background-color:#A6A6A6;"><p class="ksy_p pa">' + status +'</p><div class="roundtop pa" style="border-color:#A6A6A6"></div><div class="roundbt pa" style="border-color:#A6A6A6"></div></div></div><a class="xqbtn_a db" href="javascript:;" onclick="showVoucher('+voucher_id+')" >详情</a></li>';
                                }
                                daijinquan.append(str);
                            }
                            if (length <= 0) {
                                daijinquan.append('暂无优惠信息');
                            }

                            if (voucher_delete) {
                                voucher_delete = false;
                                var voucher_param = {"voucherReadTime":Date.parse(new Date())/1000};
                                SijiuJSInterface.updateFloatPoint(JSON.stringify(voucher_param));
                            }

                        }else{
                            daijinquan.append('暂无优惠信息');
                            //showMsg(data.Msg);
                        }
                    },
                    error: function(){
                        daijinquan.append('暂无优惠信息');
                        showMsg('网络错误，请重试');
                    }
                });


                break;
        }
    });

    $('.submenu_div span').click(function(){
        $(this).addClass("curmenu").css({"color":accountTabHightLightColor}).siblings().removeClass("curmenu").css({"color":"#666666"});
        $("#tab-content > div").hide().eq($('.submenu_div span').index(this)).show();

    });

    //密码修改tab
    $('.mmxg_submenu span').click(function(){
        $(this).addClass("cursubmenu").css({"color":accountTabHightLightColor}).siblings().removeClass("cursubmenu").css({"color":"#666666"});
        $("#mmxgtab-content > div").hide().eq($('.mmxg_submenu span').index(this)).show();

    });

    //跳转到密码tab时刷新账户绑定状态
    $('.change_pwd,.mmxg_tab').click(function(){

        $('.submenu_div > .mmxg_tab').addClass("curmenu").css({"color":accountTabHightLightColor}).siblings().removeClass("curmenu").css({"color":"#666666"});
        $("#tab-content >div").hide();
        $("#tab-content >.mmxg_tab_div").show();

        getBindingInfo();

    });


    //绑定账号跳转
    $('.mimagaimi .bindaccountbtn').click(function(){
        $('.submenu_div > .ptzh_tab').addClass("curmenu").css({"color":accountTabHightLightColor}).siblings().removeClass("curmenu").css({"color":"#666666"});
        $("#tab-content >div").hide();
        $("#tab-content >.ptzh_tab_div").show();

    });

    //绑定手机跳转
    $('.bindmobilebtn').click(function(){
        $('.submenu_div > .sjbd_tab').addClass("curmenu").css({"color":accountTabHightLightColor}).siblings().removeClass("curmenu").css({"color":"#666666"});
        $("#tab-content >div").hide();
        $("#tab-content >.sjbd_tab_div").show();

    });

    //绑定密保跳转
    $('.bindsafeaskbtn').click(function(){
        $('.submenu_div > .mbbd_tab').addClass("curmenu").css({"color":accountTabHightLightColor}).siblings().removeClass("curmenu").css({"color":"#666666"});
        $("#tab-content >div").hide();
        $("#tab-content >.mbbd_tab_div").show();

    });

    //获取验证码
    $("#yz01").click (function  () {//新绑定
        sendSms($('#sjbd01 .input_mobile').val(), 1) && (yz01_timer = djs(this,60));
    });

    $("#yz02").click (function  () {//旧绑定
        sendSms($('#sjbd02 .old_input_mobile').val(), 2) && (yz02_timer = djs(this,60));
    });

    $("#yz03").click (function  () {//换绑
        sendSms($('#sjbd02 .new_input_mobile').val(), 3) && (yz03_timer = djs(this,60));
    });

    $("#yz04").click (function  () {//手机改密
        sendSms($('.shoujigaimi .input_box .sjgm_input_mobile').val(), 2) && (yz04_timer = djs(this,60));
    });

    function sendSms(mobile, type){
        var flag = false;
        mobile = $.trim(mobile);
        if (!mobile) {
            showMsg('请输入手机号码');
            return;
        }
        var url  = address;
        var data = 'token='+token;
        if (1 == type) {//新绑定手机号验证码
            url  += 'V9/Sdk/PhoneCode';
            data += '&shoujihao='+mobile;
        } else if (2 == type) {//旧绑定手机号验证码
            url += 'V9/Sdk/PhoneCheck';
            data += '&newSdk=1&inputMobile=' + mobile;
        } else if (3 == type) { //换绑新手机号验证码
            url += 'V9/Sdk/PhoneCode';
            data += '&shoujihao='+mobile+'&changeBind=1';

        }
        $.ajax({
            type: "POST",
            url: url,
            data: data,
            async: false,
            dataType: "json",
            success: function(data){
                showMsg(data.Msg);
                // if(data.Result == true || data.Msg == '已将验证码发送至您手机'){
                //     codeTime(60, 'shouji_b');
                // }
                if (data.Result) {
                    flag = true;
                }
            },
            error: function(){
                showMsg('网络错误，请重试');
            }
        });
        return flag;
    }

    function djs(obj,t){
        var time = t;
        var code = $(obj);
        var t = setInterval(function  () {
            time--;
            code.html(time + "秒");
            code.addClass("hqyzm_span01").css({"color":defaultTextColor,'background-color':'#DCDFE1'});
            if(time == 0) {
                clearInterval(t);
                code.html("重新获取");
                code.removeClass("hqyzm_span01").css({"color":'#fff',"background-color":defaultBackgroundColor});
            }
        },1000);
        return t;//返回定时器
    }

    //恢复验证码样式
    function resetYzmBtn(timer, selector)
    {
        if (timer) {
            clearInterval(timer);
        }
        $(selector).html("获取验证码");
        $(selector).removeClass("hqyzm_span01");
    }


    $('.xxggbtn_a').click(function(){
        var umentKey = $(this).attr('umentKey');
        callPVStatistics(umentKey);
        // console.log($(this).index());
        if($(this).index()<3){
            $(this).addClass("curbtn").css({'background-color':leftBtnHighLightBackgroundColor}).siblings('.xxggbtn_a').removeClass("curbtn").css({'background-color':defaultBackgroundColor});
            $(".con_right > div").hide().eq($('.xxggbtn_a').index(this)).show();
        }
    });

    $('.xq').click(function(){
        $('#maskdiv01').show();
    });
    $('.closebtn_a').click(function(){
        $('#maskdiv01,#maskdiv02').hide();
    });

    $('.xqbtn_a').click(function(){
        $('#maskdiv02').show();
    });

    //获取公告
    $('.notice').click(function() {
        getGameNoticeMsg();
    });

    //官方QQ验证
    $('.lxkf_top .lxkf_qq_input').bind('input porpertychange',function(){
        $('.lxkf_top .gfrz_div .lxkftips_p02').html('')
    });

    //官方QQ验证
    $('.gfqqrz_a').click(function() {
        callPVStatistics('push_QQ_validate');

        var qq = $.trim($('.lxkf_qq_input').val());

        if (!qq) {
            $(".lxkftips_p02").css('color',warnTextColor);
            $(".lxkftips_p02").html('请先输入QQ号码');
            return;
        }
        $.ajax({
            type:'post',
            data:{qq:qq,device:3},
            dataType:'json',
            url:address+"/V7/Accounts/qqAuthen",
            success:function(data){
                if(data.Result){
                    $(".lxkftips_p02").css('color',safeTextColor);
                    $(".lxkftips_p02").html('该QQ号码为官方客服人员');

                }else{
                    $(".lxkftips_p02").css('color',warnTextColor);
                    $(".lxkftips_p02").html('非官方客服，请注意保护个人信息');

                }
            },
            error: function(){
                showMsg('网络错误，请重试');
            }

        });
    });

    //账户安全首页
    $('.account').click(function(){

        getBindingInfo('left_menu');
    });

    //绑定账户输入框
    bindInputEvent(['#ptzh01 #account_name','#ptzh01 #account_pass'], '#ptzh01 .zhtips02', '#ptzh01 .qrbtn_a');
    //绑定账户
    $('#ptzh01 .qrbtn_a').click(function() {

        var account_name = $.trim($('#ptzh01 #account_name').val());
        var account_pass = $.trim($('#ptzh01 #account_pass').val());
        var reg = new RegExp(/[^0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ_]/);
        if (!account_name || !account_pass) return;
        if (account_name.length < 6 || account_name.length > 20 || reg.test(account_name)) {
            $('#ptzh01 .zhtips02').html('账户名须由6-20位字母数字或下划线组成');
            $('#ptzh01 .zhtips02').show();
            return;
        }

        if (account_pass.length < 6 || account_pass.length > 16 || reg.test(account_pass)) {
            $('#ptzh01 .zhtips02').html('密码须由6-16位字母数字或下划线组成，字母区分大小写');
            $('#ptzh01 .zhtips02').show();
            return;
        }

        $.ajax({
            type: "POST",
            url: address+"V9/Sdk/BindingAccount",
            data: "token="+token+"&zhanghao="+account_name+"&mima="+account_pass,
            async: false,
            dataType: "json",
            success: function(data){
                if(data.Result == true){
                    showMsg(data.Msg);
                    $('#ptzh01').hide();
                    $('#ptzh02 #username_span').html(account_name)
                    $('#ptzh02').show();
                    $('#ptzh02 .change_pwd').css({'background-color':defaultBackgroundColor,'color':'#fff'});
                    $('#ptzh02 .change_pwd').show();
                    global_username = account_name;
                    var appAccount = {"username":account_name,"pwd":account_pass};
                    SijiuJSInterface.setAppAccount(JSON.stringify(appAccount));
                    SijiuJSInterface.updateFloatPoint(JSON.stringify({}));
                } else {
                    $('#ptzh01 .zhtips02').html(data.Msg);
                    $('#ptzh01 .zhtips02').show();
                    $('#ptzh02').hide();
                }

                //callPVStatistics_old('h5_account_safebinding_49_binding');
            },
            error: function(){
                showMsg('网络错误，请重试');
            }
        });
    });

    //绑定身份证输入框
    bindInputEvent(['#smrz01 #truename','#smrz01 #idcard'], '#smrz01 .zhtips02', '#smrz01 .qrbtn_a');
    //绑定身份证
    $('#smrz01 .qrbtn_a').click(function() {

        var truename = $('#smrz01 #truename').val();
        var idcard   = $('#smrz01 #idcard').val();

        if (!truename || !idcard) return;

        var truename_reg = new RegExp(/[^\u4e00-\u9fa5]/);
        /*if (truename_reg.test(truename) || truename.length < 1 || truename.length > 6) {
            $('#smrz01 .zhtips02').html('您输入的真实姓名有误，请重新检查');
            $('#smrz01 .zhtips02').show();
            return;
        }*/

        if (idcard.length < 1 || idcard.length > 50) {
            $('#smrz01 .zhtips02').html('您输入的身份证号有误，请重新检查');
            $('#smrz01 .zhtips02').show();
            return;
        }

        $.ajax({
            type: "POST",
            url: address+"V9/Sdk/BindingIDcard",
            data: "token="+token+"&xingming="+truename+"&shenfenzheng="+idcard,
            async: false,
            dataType: "json",
            success: function(data){
                if(data.Result == true){
                    showMsg(data.Msg);
                    $('#smrz01').hide();
                    $('#smrz02').show();
                    $('#smrz02 #truename_span').html(data.Data.truename);
                    $('#smrz02 #idcard_span').html(data.Data.idcard);
                    SijiuJSInterface.setValidator(true);
                    SijiuJSInterface.updateFloatPoint(JSON.stringify({}));
                    //callPVStatistics_old('h5_account_safebinding_name_verified');
                    $('#smrz02 .change_pwd').css({'background-color':defaultBackgroundColor,'color':'#fff'});
                } else {
                    $('#smrz01 .zhtips02').html(data.Msg);
                    $('#smrz01 .zhtips02').show();
                    return;
                }
            },
            error: function(){
                showMsg('网络错误，请重试');
            }
        });
    });

    //绑定手机输入框
    bindInputEvent(['#sjbd01 .input_mobile','#sjbd01 .input_code'], '#sjbd01 .zhtips02', '#sjbd01 .qrbtn_a');
    //绑定手机
    $('#sjbd01 .qrbtn_a').click(function() {

        var input_mobile = $.trim($('#sjbd01 .input_mobile').val());
        var input_code   = $.trim($('#sjbd01 .input_code').val());
        if (!input_mobile || !input_code) return;
        var reg = new RegExp(/[^\d]/);
        if (reg.test(input_mobile) || reg.test(input_code)) {
            $('#sjbd01 .zhtips02').html('手机或验证码须为数字');
            $('#sjbd01 .zhtips02').show();
            return;
        }
        $.ajax({
            type: "POST",
            url: address+"V9/Sdk/BindingPhone",
            data: "token="+token+"&shoujihao="+input_mobile+"&yanzhengma="+input_code,
            async: false,
            dataType: "json",
            success: function(data){

                if(data.Result){
                    showMsg(data.Msg);
                    $('#sjbd01').hide();
                    $('#sjbd02').show();
                    $('#sjbd02 .old_input_mobile').attr('placeholder', '原绑定手机号' + data.Data.mobile)
                    resetYzmBtn(yz01_timer, '#yz01');
                    SijiuJSInterface.setBundMobile(true)
                    SijiuJSInterface.updateFloatPoint(JSON.stringify({}));
                } else {
                    $('#sjbd01 .zhtips02').html(data.Msg);
                    $('#sjbd01 .zhtips02').show();
                    return;
                }
                //callPVStatistics_old('h5_account_safebinding_phone_binding');
            },
            error: function(){
                showMsg('网络错误，请重试');
            }
        });
    });


    //更改绑定手机输入框
    bindInputEvent(['#sjbd02 .old_input_mobile','#sjbd02 .old_input_code','#sjbd02 .new_input_mobile','#sjbd02 .new_input_code'], '#sjbd02 .zhtips02', '#sjbd02 .qrbtn_a');
    //更改绑定手机
    $('#sjbd02 .qrbtn_a').click(function() {
        //if ($.cookie('__changebind__id__'+uid)) {
        if (parseInt(getCache('__changebind__id__'+uid)) + 300000 > Date.parse(new Date())) {
            $('#sjbd02 .zhtips02').html('更换绑定手机过于频繁，请稍后再试');
            $('#sjbd02 .zhtips02').show();
            return;
        }
        var old_input_mobile   = $.trim($('#sjbd02 .old_input_mobile').val());
        var old_input_code     = $.trim($('#sjbd02 .old_input_code').val());
        var new_input_mobile   = $.trim($('#sjbd02 .new_input_mobile').val());
        var new_input_code     = $.trim($('#sjbd02 .new_input_code').val());
        if (!old_input_mobile || !old_input_code || !new_input_mobile || !new_input_code) return;
        var reg = new RegExp(/[^\d]/);
        if (reg.test(old_input_mobile) || reg.test(old_input_code) || reg.test(new_input_mobile) || reg.test(new_input_code)) {
            $('#sjbd02 .zhtips02').html('手机或验证码必须为数字');
            $('#sjbd02 .zhtips02').show();
            return;
        }

        $.ajax({
            type: "POST",
            url: address+"V9/Sdk/changeBindMobile",
            data: "token="+token+"&old_mobile="+old_input_mobile+"&old_sms_code="+old_input_code+"&new_mobile="+new_input_mobile+"&new_sms_code="+new_input_code,
            dataType: "json",
            success: function(data){
                if(data.Result){
                    showMsg(data.Msg);
                    $('#sjbd02 .old_input_mobile').attr('placeholder', '原绑定手机号' + data.Data.mobile)
                    $('#sjbd02 .old_input_mobile').val('');
                    $('#sjbd02 .old_input_code').val('');
                    $('#sjbd02 .new_input_mobile').val('');
                    $('#sjbd02 .new_input_code').val('');
                    //$.cookie('__changebind__id__'+uid, '1', { expires: 0.003 ,path: '/'});
                    resetYzmBtn(yz02_timer, '#yz02');
                    resetYzmBtn(yz03_timer, '#yz03');
                    setCache('__changebind__id__'+uid);
                    //SijiuJSInterface.setAppCache('__changebind__id__'+uid, String(Date.parse(new Date())));
                } else {
                    $('#sjbd02 .zhtips02').html(data.Msg);
                    $('#sjbd02 .zhtips02').show();
                    return;
                }
                //callPVStatistics_old('h5_account_safebinding_phone_binding');
            },
            error: function(){
                showMsg('网络错误，请重试');
            }
        });
    });

    //密保问题输入框
    $('#mbbd01 .mbwt_sel').change(function() {
        $('#mbbd01 .zhtips02').hide();
        var safe_ask = $.trim($(this).val());
        if (safe_ask && '请选择密保问题' != safe_ask && $.trim($('#mbbd01 .safe_answer').val())) {
            $('#mbbd01 .qrbtn_a').css({'background-color':defaultBackgroundColor,'color':'#fff'});
        } else {
            $('#mbbd01 .qrbtn_a').css({'background-color': '#DCDFE1', 'color':'#666'});
        }
    });

    //密保答案输入框
    $('#mbbd01 .safe_answer').bind('input porpertychange',function(){
        $('#mbbd01 .zhtips02').hide();
        var safe_ask = $.trim($('#mbbd01 .mbwt_sel').val());
        if ($.trim($(this).val()) && safe_ask && '请选择密保问题' != safe_ask) {
            $('#mbbd01 .qrbtn_a').css({'background-color':defaultBackgroundColor,'color':'#fff'});
        } else {
            $('#mbbd01 .qrbtn_a').css({'background-color': '#DCDFE1', 'color':'#666'});
        }
    });

    //绑定密保
    $('#mbbd01 .qrbtn_a').click(function() {

        var safe_ask    = $.trim($('#mbbd01 .mbwt_sel').val());
        var safe_answer = $.trim($('#mbbd01 .safe_answer').val());
        if (!safe_ask || '请选择密保问题' == safe_ask || !safe_answer) return;

        if(safe_answer.indexOf(" ") >= 0){
            $('#mbbd01 .zhtips02').html('请注意，密保答案不能含有空格符号');
            $('#mbbd01 .zhtips02').show();
            return;
        }

        if (safe_ask.length < 1 || safe_ask.length > 80) {
            $('#mbbd01 .zhtips02').html('密保问题长度有误，请重新输入');
            $('#mbbd01 .zhtips02').show();
            return;
        }

        if (safe_answer.length < 4) {
            $('#mbbd01 .zhtips02').html('您输入的密保答案过短，最少要填写4个字符');
            $('#mbbd01 .zhtips02').show();
            return;
        }

        if (safe_answer.length > 20) {
            $('#mbbd01 .zhtips02').html('您输入的密保答案过长，最多可填写20个字符');
            $('#mbbd01 .zhtips02').show();
            return;
        }

        $.ajax({
                type: "POST",
                url: address+"V9/Sdk/BindingSecrecy ",
                data: "token="+token+"&timu="+safe_ask+"&mibao="+safe_answer,
                async: false,
                dataType: "json",
                success: function(data){
                    if(data.Result) {
                        showMsg(data.Msg);
                        $('#mbbd01').hide();
                        $('#mbbd02').show();
                        $('#mbbd02 .account_name').html($('#ptzh02 #username_span').html());
                        $('#mbbd02 .account_ask').html(safe_ask);
                        $('#mbbd02 .change_pwd').css({'background-color':defaultBackgroundColor,'color':'#fff'});
                        $('#mbbd02 .change_pwd').show();
                    } else {
                        $('#mbbd01 .zhtips02').html(data.Msg);
                        $('#mbbd01 .zhtips02').show();
                        return;
                    }
                    //callPVStatistics_old('h5_account_safebinding_secret_binding');
                },
                error: function(){
                    showMsg('网络错误，请重试');
                }
        });

    });

    //密码改密输入框
    bindInputEvent(['.mimagaimi .input_box .old_pwd','.mimagaimi .input_box .new_pwd','.mimagaimi .input_box .new_pwd_confirm'], '.mimagaimi .input_box .zhtips02', '.mimagaimi .input_box .qrbtn_a')
    //密码改密
    $('.mimagaimi .input_box .qrbtn_a').click(function() {

        var old_pwd         = $.trim($('.mimagaimi .input_box .old_pwd').val());
        var new_pwd         = $.trim($('.mimagaimi .input_box .new_pwd').val());
        var new_pwd_confirm = $.trim($('.mimagaimi .input_box .new_pwd_confirm').val());
        if (!old_pwd || !new_pwd || !new_pwd_confirm) return;
        //if ($.cookie('__mimagaimi__id__'+uid)) {
        if (parseInt(getCache('__mimagaimi__id__'+uid)) + 86400000 > Date.parse(new Date())) {
            $('.mimagaimi .input_box .zhtips02').html('距离上次密码改密时间不足24小时，请稍后重试');
            $('.mimagaimi .input_box .zhtips02').show();
            return;
        }
        if (new_pwd != new_pwd_confirm) {
            $('.mimagaimi .input_box .zhtips02').html('两个密码输入不一致，请重新检查');
            $('.mimagaimi .input_box .zhtips02').show();
            return;
        }
        var reg = new RegExp(/[^0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ_]/);

        if (new_pwd.length < 6 || new_pwd.length > 16 || reg.test(new_pwd)) {
            $('.mimagaimi .input_box .zhtips02').html('密码须由6-16位字母数字或下划线组成');
            $('.mimagaimi .input_box .zhtips02').show();
            return;
        }

        $.ajax({
            type: "POST",
            url: address+"V9/Sdk/EditPassword",
            data: "token="+token+"&jiumima="+old_pwd+"&xinmima="+new_pwd,
            async: false,
            dataType: "json",
            success: function(data){
                if(data.Result == true){
                    showMsg(data.Msg);
                    $('.mimagaimi .input_box .old_pwd').val('');
                    $('.mimagaimi .input_box .new_pwd').val('');
                    $('.mimagaimi .input_box .new_pwd_confirm').val('');
                    //$.cookie('__mimagaimi__id__'+uid, '1', { expires: 1 ,path: '/'});
                    setCache('__mimagaimi__id__'+uid);
                    //SijiuJSInterface.setAppCache('__mimagaimi__id__'+uid, String(Date.parse(new Date())));
                    SijiuJSInterface.setAppAccount(JSON.stringify({"username":global_username,"pwd":new_pwd}));
                } else {
                    $('.mimagaimi .input_box .zhtips02').html(data.Msg);
                    $('.mimagaimi .input_box .zhtips02').show();
                }
            },
            error: function(){
                showMsg('网络错误，请重试');
            }
        });
    });

    //手机改密输入框
    bindInputEvent(['.shoujigaimi .input_box .sjgm_input_mobile','.shoujigaimi .input_box .sjgm_input_code','.shoujigaimi .input_box .sjgm_new_pwd'], '.shoujigaimi .input_box .zhtips02', '.shoujigaimi .input_box .qrbtn_a')
    //手机改密
    $('.shoujigaimi .input_box .qrbtn_a').click(function() {

        //$.cookie('__mimagaimi__id__'+uid)
        var input_mobile = $.trim($('.shoujigaimi .input_box .sjgm_input_mobile').val());
        var input_code   = $.trim($('.shoujigaimi .input_box .sjgm_input_code').val());
        var new_pwd      = $.trim($('.shoujigaimi .input_box .sjgm_new_pwd').val());
        if (!input_mobile || !input_code || !new_pwd) return;

        //if ($.cookie('__shoujigaimi__id__'+uid)) {
        if (parseInt(getCache('__shoujigaimi__id__'+uid)) + 86400000 > Date.parse(new Date())) {
            $('.shoujigaimi .input_box .zhtips02').html('距离上次手机改密时间不足24小时，请稍后重试');
            $('.shoujigaimi .input_box .zhtips02').show();
            return;
        }

        var reg_pwd = new RegExp(/[^0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ_]/);
        if (new_pwd.length < 6 || new_pwd.length > 16 || reg_pwd.test(new_pwd)) {
           $('.shoujigaimi .input_box .zhtips02').html('密码须由6-16位字母数字或下划线组成');
           $('.shoujigaimi .input_box .zhtips02').show();
           return;
       }

        var reg = new RegExp(/[^\d]/);
        if (reg.test(input_mobile) || reg.test(input_code)) {
            $('.shoujigaimi .input_box .zhtips02').html('手机或验证码须为数字');
            $('.shoujigaimi .input_box .zhtips02').show();
            return;
        }

        $.ajax({
            type: "POST",
            url: address+"V9/Sdk/PhonePassword",
            data: "token="+token+"&yanzhengma="+input_code+"&xinmima="+new_pwd,
            async: false,
            dataType: "json",
            success: function(data){
                if(data.Result == true){
                    showMsg(data.Msg);
                      $('.shoujigaimi .input_box .sjgm_input_mobile').val('');
                      $('.shoujigaimi .input_box .sjgm_input_code').val('');
                      $('.shoujigaimi .input_box .sjgm_new_pwd').val('');
                    //$.cookie('__shoujigaimi__id__'+uid, '1', { expires: 1 ,path: '/'});
                    resetYzmBtn(yz04_timer, '#yz04');
                    setCache('__shoujigaimi__id__'+uid);
                    //SijiuJSInterface.setAppCache('__shoujigaimi__id__'+uid, String(Date.parse(new Date())));
                    SijiuJSInterface.setAppAccount(JSON.stringify({"username":global_username,"pwd":new_pwd}));
                } else {
                    $('.shoujigaimi .input_box .zhtips02').html(data.Msg);
                    $('.shoujigaimi .input_box .zhtips02').show();
                    return;
                }
            },
            error: function(){
                showMsg('网络错误，请重试');
            }
        });
    });


    //密保改密输入框
    bindInputEvent(['.mibaogaimi .input_box .mbgm_safe_answer','.mibaogaimi .input_box .mbgm_new_pwd'], '.mibaogaimi .input_box .zhtips02', '.mibaogaimi .input_box .qrbtn_a')
    //密保改密
    $('.mibaogaimi .input_box .qrbtn_a').click(function() {
        var safe_ask        = $.trim($('.mibaogaimi .input_box .safe_ask').html());
        var safe_answer     = $.trim($('.mibaogaimi .input_box .mbgm_safe_answer').val());
        var new_pwd         = $.trim($('.mibaogaimi .input_box .mbgm_new_pwd').val());
        if (!safe_ask || !safe_answer || !new_pwd) return;
        //if ($.cookie('__mibaogaimi__id__'+uid)) {
        if (parseInt(getCache('__mibaogaimi__id__'+uid)) + 86400000 > Date.parse(new Date())) {
            $('.mibaogaimi .input_box .zhtips02').html('距离上次密码改密时间不足24小时，请稍后重试');
            $('.mibaogaimi .input_box .zhtips02').show();
            return;
        }

        var nowtime = Date.parse(new Date());
        var cache_key = '__mibaogaimi_error__uid__' + uid;
        var mibao_error = getCache(cache_key);
        if (mibao_error) {
            var error_info = mibao_error.split('-');
            var unlock_time = error_info[2] ? parseInt(error_info[2]) : 0;//解锁时间
            if (unlock_time > 0) {
				if (nowtime < unlock_time) {
					$('.mibaogaimi .input_box .zhtips02').html('无法再次验证密保答案，请于'+ Math.ceil((unlock_time-nowtime)/60000) + '分钟后重试');
					$('.mibaogaimi .input_box .zhtips02').show();
					return;
				} else {
					//清除
				   setCache(cache_key, 0 + '-' + 0 + '-' + 0);
				}
            }
        }

        var reg = new RegExp(/[^0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ_]/);
        if (new_pwd.length < 6 || new_pwd.length > 16 || reg.test(new_pwd)) {
            $('.mibaogaimi .input_box .zhtips02').html('密码须由6-16位字母数字或下划线组成');
            $('.mibaogaimi .input_box .zhtips02').show();
            return;
        }

        $.ajax({
            type: "POST",
            url: address+"V9/Sdk/AskPassword",
            data: "token="+token+"&timu="+safe_ask+"&mibao="+safe_answer+"&xinmima="+new_pwd,
            async: false,
            dataType: "json",
            success: function(data){
                var cache_key = '__mibaogaimi_error__uid__' + uid;
                var mibao_error = getCache(cache_key);
                var error_info = mibao_error.split('-');
                var begin_time = error_info[0] ? parseInt(error_info[0]) : 0;//开始时间
                var error_times = error_info[1] ? parseInt(error_info[1]) : 0;//输错次数
                var unlock_time = error_info[2] ? parseInt(error_info[2]) : 0;//解锁时间

                if(data.Result == true){
                    showMsg(data.Msg);
                     $('.mibaogaimi .input_box .mbgm_safe_answer').val('');
                    $('.mibaogaimi .input_box .mbgm_new_pwd').val('');
                    //$.cookie('__mibaogaimi__id__'+uid, '1', { expires: 1 ,path: '/'});
                    setCache('__mibaogaimi__id__'+uid);
                    //SijiuJSInterface.setAppCache('__mibaogaimi__id__'+uid, String(Date.parse(new Date())));
                    SijiuJSInterface.setAppAccount(JSON.stringify({"username":global_username,"pwd":new_pwd}));

                    //if (mibao_error) {
                        //清除
                        setCache(cache_key, 0 + '-' + 0 + '-' + 0);
                    //}

                } else {

                    if (data.Msg == '密保不正确') {
                        var nowtime = Date.parse(new Date());
                        //if (mibao_error) {
							var limit_minutes = 60;//分钟
                            if (unlock_time <= 0) { //未锁住
                                if (0 == error_times) {
                                    setCache(cache_key, nowtime + '-' + 1 + '-' + 0);
                                } else if (error_times < 4) {
                                    setCache(cache_key, begin_time + '-' + (error_times+1) + '-' + 0);
                                //} else if (nowtime - begin_time < 3600000) {
                                } else if (nowtime - begin_time < limit_minutes*60000) {
									data.Msg  = '无法再次验证密保答案，请于'+limit_minutes+'分钟后重试';
                                    //setCache(cache_key, begin_time + '-' + (error_times+1) + '-' + nowtime+3600000);
                                    setCache(cache_key, begin_time + '-' + (error_times+1) + '-' + (nowtime+limit_minutes*60000));
                                }
                            }

                        //}
                    }

                    $('.mibaogaimi .input_box .zhtips02').html(data.Msg);
                    $('.mibaogaimi .input_box .zhtips02').show();
                }
            },
            error: function(){
                showMsg('网络错误，请重试');
            }
        });
    });

});

function logoutaccount() {
    var accountParam = SijiuJSInterface.getAccountParam();
    accountParam = JSON.parse(accountParam);
    var uid = accountParam.uid;
    SijiuJSInterface.switchLogin();  //切换账号
    SijiuJSInterface.openAppUrl("http://zhuanti.49app.com/wap/logoutAccount/index.html?uid="+uid);  //注销账号
}

//初始化元素为默认颜色
function initElementColor() {
    for (var i in initElementConfig) {
        var config = initElementConfig[i];
        //获取需要设置的颜色值
        var color_value = config.color_value;
        var elements = config.elements;
        //console.log(elements['background_color']);return;
        for (var property in elements) {
            var elementStr = elements[property];
            var elementList = elementStr.split(',');
            //遍历元素数组，为对应css属性赋值
            for (var j in elementList) {
                //var p = property.replace('_', '-');
                $(elementList[j]).css(property, color_value);
            }
        }



    }
}





